Public event feed (module events, rounds, listings, settlements); long-poll with `wait`
const url = 'https://testnet-rpc.necter.network/v1/events?wait=0&limit=50';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://testnet-rpc.necter.network/v1/events?wait=0&limit=50'Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Opaque cursor; return events after it
Seconds to hold the request when no event is available
Responses
Section titled “Responses”Events
object
object
Dotted names. Network: module.event, round.finalized, round.escalated, epoch.settled,
project.listed, project.paused, project.delisted, project.version_activated, slash.executed.
Account: device.bound, device.unbound, device.online, device.offline, subscription.created,
subscription.active, subscription.paused, subscription.resumed, subscription.jailed,
subscription.unbonding, lease.offered, lease.missed, proof.verified, proof.rejected,
slash.proposed, slash.disputed, slash.cancelled, payout.claimable, withdrawal.completed,
developer.enrollment_approved, developer.enrollment_rejected, developer.verified,
listing.approved, listing.rejected, faucet.dripped.
Lowercase EVM address
Event-specific JSON
Example generated
{ "items": [ { "id": "example", "type": "example", "created_at": 1, "project_id": "example", "module": "example", "address": "example", "node_id": "example", "subscription_id": "example", "round_id": "example", "tx_hash": "example", "message": "example", "data": "example" } ], "next_cursor": "example"}